VMTKENTITYRENUMBER(1)

NAME
vmtkentityrenumber - vmtk script vmtkentityrenumber

DESCRIPTION
Automatic piping vmtkentityrenumber Parsing options vmtkentityrenumber

vmtkentityrenumber : Renumber cell entity id array.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have been stored

-offset CellEntityIdOffset (int,1); default=0: offset added to cell

    entity ids that are not mapped explicitly

-renumbering CellEntityIdRenumbering (int,-1); default=[]: [from1

    to1] [from2 to2] ...

-interiorfacetsoffset InteriorFacetsOffset (int,1); default=0:

    offset added to ids of interior facets after renumbering mapping, to separate them from interior facets

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have been stored